import * as OzoneType from 'ozone-type';
export declare class VideoArea {
    time: number;
    duration: number;
}
export declare type VideoMarker = Array<VideoArea>;
/**
 * ozone-api-edit-video
 *
 * ES6 module to save selected video chunk
 *
 *
 * # Usage
 *
 * ```javaScript
 * import {OzoneApiEditVideo} from 'ozone-api-edit-video'
 * const ozoneApiEditVideo =  new OzoneApiEditVideo();
 *
 * // TODO get originalVideo from ozone-api-item
 * // TODO get selectedChunks from ozone-video-player
 *
 * ozoneApiEditVideo
 *    .createSubVideo(originalVideo, selectedChunks)
 *    .then((video) => {
 *       console.log('new video created with id', video.id)
 *    });
 * ```
 *
 *
 */
export declare class OzoneApiEditVideo {
    private _ozoneMediaUrlCollection;
    private mediaUrlFactory;
    private _createNewPlayListFile;
    private _savePlayList;
    private _createBlobFile;
    private getVideoFile;
    private getFileType;
    private _createFolder;
    private _duplicateVideo;
    /**
     * Create a new ozone video from a subset of an original.
     * @param originalVideo
     * @param chunks
     */
    createSubVideo(originalVideo: OzoneType.FromOzone<OzoneType.Video>, chunks: Array<ConcatArray<string>>): Promise<OzoneType.Video>;
}
